# 1.  Projet Docker et jenkins

# 2. Installation de Docker:

les commandes d"installation:

$ sudo apt-get update

$ sudo apt-get install \apt-transport-https \ca-certificates \curl \software-properties-common

Et pour vérifier l'installation lance:

 $ docker run hello-world
 
 et si l'installation et bien réussi on aura ce message dans le terminal:
 
 
 ![run_docker](/uploads/06b5b438aaa82bdf947267d6be5d2f4f/run_docker.png)


# 3. Installation de jenkins dans Docker

 Tout d'abord, Docker doit etre installer correctement sur l'ordinateur, aprés on doit 
 
 ecxtraire l'image officielle des jenkins du référentiel Docker avec la commande suivante:


![pull_jenkin](/uploads/248ded744996291e52c34fc355907c20/pull_jenkin.png)


* Ensuite, on doit exécuter un conteneur en utilisant cette image et on  mappe le répertoire de 
 
 données du conteneur sur l'hote. Le port Jenkins 8080 est également exposé à l'hôte sous le numéro
 
 8080.La commande suivante resume le travail:


![run_jenk](/uploads/bfc884a3323588aa634ccadef975777b/run_jenk.png)

# 4. Installation de plugin 

Aprés avoir installer jenkins dans docker on doit installer les plugins nécessaire pour notre travail:

![installation_plug](/uploads/ec306a469c18af65b3621d56f9053a95/installation_plug.png)


Apres l'installation des plugins on obtiendra la page d'accueil suivante:

![jen2](/uploads/c5b75005ac075d0083d4705200d1e17a/Capture_d_écran_de_2018-10-13_21-27-57.png)


# 5. Integration d'un projet gitlab sur jenkins

Aprés donc l'installation de tous les outils nécessaire pour notre travail, on crée un projet sur le forge de l'université **gitlab** qu'on a appelé *Tp_jenkins* ecrit en **JAVA** pour l'integrer par la suite sur jenkins. 

Ensuite nous avons créé un projet sur  **jenkins** qu'on l'a appelé **Tp1**.

![jen2](/uploads/6cf6f614aa919e06c2ae29d688b21159/jen2.png)


On commence alors la configuration par rattacher notre page git dans le projet, dans l'onglet *gestion de code source* on doit choisir l'option  **git** pour pouvoir intégrir notre projet gitlab sur jenkins.

 Dans *Repository URL* on doit insérer le lien du projet GitLab . La branche du projet est automatiquement sélectionné *MASTER*
 
 ![jen3](/uploads/56997550d2fa22e4d41cb56a39cf9430/Capture_d_écran_de_2018-10-13_22-17-00.png)


* Dans la rubrique **Build** il faut cliquer sur le lien **Exécuter un script shell**.

![BUILD2](/uploads/8023e612759f4d495bbdd7f558965130/Capture_d_écran_de_2018-10-13_22-19-32.png)

Cette option nous permet d'insérer les commandes nécessaire pour compiler et executer notre projet.

* Les commandes sont les suivantes:

![BUILD1](/uploads/e0f3fbb2138f6ad98af60351d9a601b6/Capture_d_écran_de_2018-10-13_22-20-42.png)

# 6. Test et Resultat

Nous allons maintenant tester le fonctionnement de notre projet, pour le faire il faut cliquer sur le lien **Lancer un build.**

Cette action lance le script que nous avons précédemment inséré.

* Pour avoir le résultat de notre execution on doit cliquer sur **Console Output**.

![console](/uploads/00ec781fd8bcfec4b03892861383cc53/console.png)

* Resultat

 


![result](/uploads/56caa8436762a363e56a8f00d361eaed/result.png)


Auteur:

Moulay ...

Fadhila KERBICHE
